//  Java CGI -- Classes to aid in writing CGI programs in Java.
//
//  Copyright (c) 1996, David H. Silber  (dhs@orbits.com)
//
//    My time to write this free software donated by:
//                   Stellar Orbits Technology Services
//              http://www.orbits.com/   or   info@orbits.com
//
//    I can be contacted at:    1923 Rockland Avenue
//                              Rockville, MD  20851
//
//
//    This library is free software; you can redistribute it and/or
//    modify it under the terms of the GNU Library General Public
//    License version 2 as published by the Free Software Foundation.
//
//    This library is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//    Library General Public License for more details.
//
//    You should have received a copy of the GNU Library General Public
//    License along with this library; if not, write to the Free
//    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//

import java.io.*;
import java.util.*;

import Orbits.net.*;

public class Email_Test {

	public static void main( String argv[] ) {

		//  Produce output that the browser will understand.
		System.out.println( "Content-type: text/plain" );
		System.out.println( "" );

		//  Create an object containing the CGI information.
		CGI info = new CGI();

		//  Create an empty e-mail message.
		Email message = new Email();

		for ( Enumeration e = info.getNames();
						e.hasMoreElements(); ) {

			//  For each name in the CGI environment,
			String name = (String) e.nextElement();

			//  Print the name to the (text) output.
			System.out.print( name );
			System.out.print( " evaluates to " );

			//  Add the name to the e-mail message.
			message.add( name );
			message.add( " ###===---> " );

			//  Get the value which goes with the name.
			String value = info.getValue( name );

			//  Print the value to the (text) output.
			System.out.println( value );

			//  Add the value to the e-mail message.
			message.add( value );
			message.addLineBreak();
		}

		//  Get the e-mail address specified by the user and
		//    set the e-mail message's destination to that
		//    address.
		message.sendTo( info.getValue( "Email" ) );

		//  Set the Subject: text for the e-mail message.
		message.subject( "Java CGI test message" );

		//  Send the e-mail message.
		message.send();
	}
}
